Money

All APIs related to prepaid balances for buyers and sellers.

Base URLhttps://apiv2.telecomsxchange.com
AuthenticationHTTP Digest

Buyers

This section shows how you can query the current balances of your account.

#Get Accounts Balance

POSThttps://apiv2.telecomsxchange.com/buyers/balance

Retrieve the current balance of your TCXC Buyer account.

Query parameters

i_payment_systemintegeroptional

Payment Type (0 for Any)

Example 0

curl --digest \
  -u "$TCXC_USERNAME:$TCXC_API_KEY" \
  -X POST \
  "https://apiv2.telecomsxchange.com/buyers/balance"
Balances
Northwind balance$4106.06USD
Sub-accounts3
AccountBalanceCredit limitStatus
A2P-Traffic SMPP · 198.51.100.14shared$0.00active
Contoso Voice SIP · 192.0.2.14shared$0.00blocked
Northwind SIP · 203.0.113.15$4106.06$60000.00active
Rendered from the example response.

#Payment History

POSThttps://apiv2.telecomsxchange.com/buyers/payhistory/

This API resource enables buyers to retreive their payment history detailed records.

Body parameters

application/x-www-form-urlencoded
i_payment_systemintegerrequired

Payment Gateway (Use 0 for Any, 2 for PayPal, 1 for TCXC manual payment)

Example 1

date_fromdatetimerequired

Only show payments that were sent or received on this date/time or later, date/time string, like YYYY-MM-DD HH:MM:SS (for example 2019-10-05 22:45:32) .

Example 2019-01-01 00:00:00

date_todatetimerequired

Only show payments that were sent or received on this date/time or earlier, date/time string, like YYYY-MM-DD HH:MM:SS (for example 2018-10-06 02:10:03)

Example 2020-01-01 00:00:00

pagerintegerrequired

“pager” and “off” (should be set or unset both) allow to limit and paginate results. “pager” is a limit of the numbers to be returned, “off” is offset.

Example 5

offintegerrequired

“pager” and “off” (should be set or unset both) allow to limit and paginate results. “pager” is a limit of the numbers to be returned, “off” is offset.

Example 0

curl --digest \
  -u "$TCXC_USERNAME:$TCXC_API_KEY" \
  -X POST \
  "https://apiv2.telecomsxchange.com/buyers/payhistory/" \
  -d "i_payment_system=1" \
  -d "date_from=2019-01-01 00:00:00" \
  -d "date_to=2020-01-01 00:00:00" \
  -d "pager=5" \
  -d "off=0"
Payments3 results
DateDescriptionStatusAmount
2019-12-06 · 12:00:01Monthly charge for DID 19542405411 Manual Paymentconfirmed$-1.00
2019-11-06 · 11:50:32Monthly charge Fee for DID 19542405411 Manual Paymentconfirmed$-1.00
2019-10-23 · 10:53:02BANK WIRE Manual Paymentconfirmed10,000.00
Rendered from the example response.

Sellers

This section shows how you can query the current balance of your seller account.

#Get Seller Balance

POSThttps://apiv2.telecomsxchange.com/seller/balance

Retrieve the current balance of your TCXC seller account

No parameters. Authentication is the only requirement.

curl --digest \
  -u "$TCXC_USERNAME:$TCXC_API_KEY" \
  -X POST \
  "https://apiv2.telecomsxchange.com/seller/balance"
Seller balance
Available for payout$22631.26USD

Earnings from buyers settle into this balance. Request payouts from the members portal or track them with Payout History.

Rendered from the example response.

#Payout History

POSThttps://apiv2.telecomsxchange.com/sellers/payhistory

Payout history API allows sellers to list and filter past payouts sent to their bank account, PayPal, Visa Card.

This record also include DID numbers monthly recurring revenue (MRR).

Body parameters

application/x-www-form-urlencoded
date_fromdatetimerequired

Only show payments that were sent or received on this date/time or later, date/time string, like YYYY-MM-DD HH:MM:SS (for example 2019-10-05 22:45:32) .

Example 2019-01-01 00:00:00

date_todatetimerequired

Only show payments that were sent or received on this date/time or earlier, date/time string, like YYYY-MM-DD HH:MM:SS (for example 2018-10-06 02:10:03)

Example 2020-01-01 00:00:00

pagerintegerrequired

“pager” and “off” (should be set or unset both) allow to limit and paginate results. “pager” is a limit of the numbers to be returned, “off” is offset.

Example 1000

offintegerrequired

“pager” and “off” (should be set or unset both) allow to limit and paginate results. “pager” is a limit of the numbers to be returned, “off” is offset.

Example 2

curl --digest \
  -u "$TCXC_USERNAME:$TCXC_API_KEY" \
  -X POST \
  "https://apiv2.telecomsxchange.com/sellers/payhistory" \
  -d "date_from=2019-01-01 00:00:00" \
  -d "date_to=2020-01-01 00:00:00" \
  -d "pager=1000" \
  -d "off=2"
Payments3 results
DateDescriptionStatusAmount
2019-12-24 · 22:14:41Bank Wire +$500.00
2019-12-24 · 22:14:21Bank wire +$23000.00
2019-12-22 · 15:24:58Bank Wire +$40000.00
Rendered from the example response.